scala.util.automata
class NondetWordAutom

[source: `scala/util/automata/NondetWordAutom.scala`]

`abstract` `class` NondetWordAutom[T <: AnyRef]
  `extends` AnyRef

  A nondeterministic automaton. States are integers, where 0 is always the only initial state. Transitions are represented in the delta function. Default transitions are transitions that are taken when no other transitions can be applied. All states are reachable. Accepting states are those for which the partial function 'finals' is defined.

Value Summary
`abstract val` | default : Array[BitSet]
`abstract val` | delta : Array[Map[T, BitSet]]
`abstract val` | finals : Array[Int]
`abstract val` | labels : Seq[T]
`abstract val` | nstates : Int

Method Summary
`final def` | containsFinal (Q : BitSet) : Boolean returns true if the set of states contains at least one final state
`final def` | finalTag (state : Int) : Int returns tag of final state
`final def` | isEmpty : Boolean returns true if there are no accepting states
`final def` | isFinal (state : Int) : Boolean returns true if the state is final
`def` | next (q : Int, a : T) : BitSet returns a bitset with the next states for given state and label
`def` | next (Q : BitSet, a : T) : BitSet returns a bitset with the next states for given state and label
`def` | nextDefault (Q : BitSet) : BitSet
`override def` | toString : java.lang.String

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`abstract` `val` nstates : Int

`abstract` `val` labels : Seq[T]

`abstract` `val` finals : Array[Int]

`abstract` `val` delta : Array[Map[T, BitSet]]

`abstract` `val` default : Array[BitSet]

Method Details

`final` `def` isFinal(state : Int) : Boolean

  returns true if the state is final

`final` `def` finalTag(state : Int) : Int

  returns tag of final state

`final` `def` containsFinal(Q : BitSet) : Boolean

  returns true if the set of states contains at least one final state

`final` `def` isEmpty : Boolean

  returns true if there are no accepting states

`` `def` next(q : Int, a : T) : BitSet

  returns a bitset with the next states for given state and label

`` `def` next(Q : BitSet, a : T) : BitSet

  returns a bitset with the next states for given state and label

`` `def` nextDefault(Q : BitSet) : BitSet

`override` `def` toString : java.lang.String